XForms support broke "overnight"...

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

XForms support broke "overnight"...

user-41
Howdy,

While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
rather new to XForms.  WHile I truly love the Technology, I am in a bit of a
"pickle".

I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5 without
problems.  Until, that is, I blew away my Debian GNU/Linux installation in
favor of Ubuntu 8.04.  (After I did the re-install it was a few days before I
got back to playing w/ XForms...)  Multiple days later when I wnet back to
"work" on the forms, I was surprised to learn that *no* XForms were working.

I've yanked out the Add-on, I've removed and reinstalled Firefox, I've tossed
out a bunch of "extraneous" software, I've created multiple new Firefox
profiles, I've created a new Linux user and started fresh.  ALL to no avail!

Plaese help me!

I REALLY don't want to blow away my OS for something like this.  I'm fairly
sure that when I brought /etc/*, /usr/local/*, or /home/* back from my old
installation something got "out of whack" but I have no idea where to look...

I've just come back from combing through my firefox-2 installation and then
using dpkg --purge to remove it.  I'm fairly sure that I've deleted
everything... though it still doesn't work after a re-re-re-re-install...

Please, please help me!

Chuck
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Philipp Wagner-4
Hi,

[hidden email] schrieb:
> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5 without
> problems.  Until, that is, I blew away my Debian GNU/Linux installation in
> favor of Ubuntu 8.04.  (After I did the re-install it was a few days before I
> got back to playing w/ XForms...)  Multiple days later when I wnet back to
> "work" on the forms, I was surprised to learn that *no* XForms were working.

But you are not using the 64-bit Version of Ubuntu now? Then FF will be
x86_64, too, and the default extension does not work.

Philipp
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
bkc
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

bkc
In reply to this post by user-41
Ubuntu 8.05 uses Firefox 3 by default. Xforms extension for FF3 is not
available from addons website.
(Even 64-bit for FF2 is not there either)

My suggestion is to download a 32-bit binary directly from Mozilla
website for FF2 (like a binary tar, I think there is one), "install" it
by untarring somewhere  (not  a .deb install) and then run it distinct
from the system FF.


>
>
>
>
> Howdy,
>
> While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
> rather new to XForms.  WHile I truly love the Technology, I am in a bit of a
> "pickle".
>
> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5 without
> problems.  Until, that is, I blew away my Debian GNU/Linux installation in
> favor of Ubuntu 8.04.  (After I did the re-install it was a few days before I
> got back to playing w/ XForms...)  Multiple days later when I wnet back to
> "work" on the forms, I was surprised to learn that *no* XForms were working.
>
>  


--
Brad Clements,                [hidden email]    (315)268-1000
http://www.murkworks.com                         
AOL-IM: BKClements

_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Chuck Stickelman
In reply to this post by Philipp Wagner-4
Philipp Wagner wrote:

> Hi,
>
> [hidden email] schrieb:
>> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5
>> without
>> problems.  Until, that is, I blew away my Debian GNU/Linux
>> installation in
>> favor of Ubuntu 8.04.  (After I did the re-install it was a few days
>> before I
>> got back to playing w/ XForms...)  Multiple days later when I wnet
>> back to
>> "work" on the forms, I was surprised to learn that *no* XForms were
>> working.
>
> But you are not using the 64-bit Version of Ubuntu now? Then FF will be
> x86_64, too, and the default extension does not work.
>
> Philipp

Linux kernel is 2.6.24 i686
Firefox is Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080419
Ubuntu/8.04 (hardy) Firefox/2.0.0.14
XForms extension is 0.8.5

Note: This combination *did* once work, and co-workers w/ the same
configuration *do* work...

This does hot appear to be associated w/ my user account nor firefox profile
since I have created new of both and experienced the same problem.

I did create a new, new user this morning and attempt to install  the XForms
add-on and got this error message:
"Firefox could not install the file at
http://addons.mozilla.org/en-US/firefox/downloads/file/25804/mozilla_xforms-0.8.5-fx+mz+sm-linux.xpi
because: Unexpected installation error.
Review the Error Console log for more details.
-203"

When I checked the Erroro Console I found this message:
"installLocation has no properties Line7647
file:///usr/lib/firefox/components/nsExtensionManager.js"

Last night I forced an in-place reinstallation of EVERY package on the system.
 (Approximately 1500 packages...)

Still not quite right...

Chuck


_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Chuck Stickelman
In reply to this post by user-41
Brad Clements wrote:

> Ubuntu 8.05 uses Firefox 3 by default. Xforms extension for FF3 is not
> available from addons website.
> (Even 64-bit for FF2 is not there either)
>
> My suggestion is to download a 32-bit binary directly from Mozilla
> website for FF2 (like a binary tar, I think there is one), "install" it
> by untarring somewhere  (not  a .deb install) and then run it distinct
> from the system FF.
>
>
>>
>>
>>
>>
>> Howdy,
>>
>> While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
>> rather new to XForms.  WHile I truly love the Technology, I am in a
>> bit of a
>> "pickle".
>>
>> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5
>> without
>> problems.  Until, that is, I blew away my Debian GNU/Linux
>> installation in
>> favor of Ubuntu 8.04.  (After I did the re-install it was a few days
>> before I
>> got back to playing w/ XForms...)  Multiple days later when I wnet
>> back to
>> "work" on the forms, I was surprised to learn that *no* XForms were
>> working.
>>

I did notice the FF3 issue and installed FF2 from a .deb very early in.

I haven't yet tried install FF as not a .deb (Being one of the first Debian
users I tend to ONLY think in terms of .deb...)

I'll try running a more "stand-alone" version and let you folks know what I find.

Personally, I think there's a shared library problem *somewhere*...

Chuck
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

SmauG-2
In reply to this post by user-41
Did you try XForms with the FF2 build from mozilla.com?

[hidden email] wrote:

> Howdy,
>
> While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
> rather new to XForms.  WHile I truly love the Technology, I am in a bit of a
> "pickle".
>
> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5 without
> problems.  Until, that is, I blew away my Debian GNU/Linux installation in
> favor of Ubuntu 8.04.  (After I did the re-install it was a few days before I
> got back to playing w/ XForms...)  Multiple days later when I wnet back to
> "work" on the forms, I was surprised to learn that *no* XForms were working.
>
> I've yanked out the Add-on, I've removed and reinstalled Firefox, I've tossed
> out a bunch of "extraneous" software, I've created multiple new Firefox
> profiles, I've created a new Linux user and started fresh.  ALL to no avail!
>
> Plaese help me!
>
> I REALLY don't want to blow away my OS for something like this.  I'm fairly
> sure that when I brought /etc/*, /usr/local/*, or /home/* back from my old
> installation something got "out of whack" but I have no idea where to look...
>
> I've just come back from combing through my firefox-2 installation and then
> using dpkg --purge to remove it.  I'm fairly sure that I've deleted
> everything... though it still doesn't work after a re-re-re-re-install...
>
> Please, please help me!
>
> Chuck

_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Chuck Stickelman
It works!  I had to manually run 'apt-get install libstdc++5' inorder to FF2
to run.  But once I did that FF picked up the XForms add-on from an earlier
Profile.

I then pointed FF2 at the Sample XForms at www.mozilla.org and
low-and-behold... It works!!

Thank you all!!

Now I'd like to get ready to figure out why the packaged version doesn't
work...  Makes me wonder if the libstdc++5 is a missing package dependancy...?

Anyway, I'm going to deal with this later this week...  I got a bunch of
"catch-up" work to do in the next couple of hours!

Thanks again!!
Chuck

PS I will let you all know what I find when I next install the .deb.

smaug wrote:

> Did you try XForms with the FF2 build from mozilla.com?
>
> [hidden email] wrote:
>> Howdy,
>>
>> While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
>> rather new to XForms.  WHile I truly love the Technology, I am in a
>> bit of a
>> "pickle".
>>
>> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5
>> without
>> problems.  Until, that is, I blew away my Debian GNU/Linux
>> installation in
>> favor of Ubuntu 8.04.  (After I did the re-install it was a few days
>> before I
>> got back to playing w/ XForms...)  Multiple days later when I wnet
>> back to
>> "work" on the forms, I was surprised to learn that *no* XForms were
>> working.
>>
>> I've yanked out the Add-on, I've removed and reinstalled Firefox, I've
>> tossed
>> out a bunch of "extraneous" software, I've created multiple new Firefox
>> profiles, I've created a new Linux user and started fresh.  ALL to no
>> avail!
>>
>> Plaese help me!
>>
>> I REALLY don't want to blow away my OS for something like this.  I'm
>> fairly
>> sure that when I brought /etc/*, /usr/local/*, or /home/* back from my
>> old
>> installation something got "out of whack" but I have no idea where to
>> look...
>>
>> I've just come back from combing through my firefox-2 installation and
>> then
>> using dpkg --purge to remove it.  I'm fairly sure that I've deleted
>> everything... though it still doesn't work after a re-re-re-re-install...
>>
>> Please, please help me!
>>
>> Chuck
>
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Chuck Stickelman
I think I figured it out!!

THe FF2 .deb had a dependancy on libstdc++6, where as it looks like the XForms
add-on depends on libstdc++5!!

I have removed the package AND the FF2 build from Mozilla and then did a clean
reinstall.  AS long as libstdc++5 is installed BOTH FF2 *and* XForms works.
If I remove the libstdc++5 package FF2 continues to work, but XForms dies.

I hope this helps someone else along the way!

Chuck
(Now actually looking forward to getting some work done!!)

Chuck Stickelman wrote:

> It works!  I had to manually run 'apt-get install libstdc++5' inorder to FF2
> to run.  But once I did that FF picked up the XForms add-on from an earlier
> Profile.
>
> I then pointed FF2 at the Sample XForms at www.mozilla.org and
> low-and-behold... It works!!
>
> Thank you all!!
>
> Now I'd like to get ready to figure out why the packaged version doesn't
> work...  Makes me wonder if the libstdc++5 is a missing package dependancy...?
>
> Anyway, I'm going to deal with this later this week...  I got a bunch of
> "catch-up" work to do in the next couple of hours!
>
> Thanks again!!
> Chuck
>
> PS I will let you all know what I find when I next install the .deb.
>
> smaug wrote:
>> Did you try XForms with the FF2 build from mozilla.com?
>>
>> [hidden email] wrote:
>>> Howdy,
>>>
>>> While I've been working w/ XML (ie. XSLT, XHTML, ec.) for some time, I am
>>> rather new to XForms.  WHile I truly love the Technology, I am in a
>>> bit of a
>>> "pickle".
>>>
>>> I've been using Firefox 2.0.0.14 and the Mozilla XForms add-on 0.8.5
>>> without
>>> problems.  Until, that is, I blew away my Debian GNU/Linux
>>> installation in
>>> favor of Ubuntu 8.04.  (After I did the re-install it was a few days
>>> before I
>>> got back to playing w/ XForms...)  Multiple days later when I wnet
>>> back to
>>> "work" on the forms, I was surprised to learn that *no* XForms were
>>> working.
>>>
>>> I've yanked out the Add-on, I've removed and reinstalled Firefox, I've
>>> tossed
>>> out a bunch of "extraneous" software, I've created multiple new Firefox
>>> profiles, I've created a new Linux user and started fresh.  ALL to no
>>> avail!
>>>
>>> Plaese help me!
>>>
>>> I REALLY don't want to blow away my OS for something like this.  I'm
>>> fairly
>>> sure that when I brought /etc/*, /usr/local/*, or /home/* back from my
>>> old
>>> installation something got "out of whack" but I have no idea where to
>>> look...
>>>
>>> I've just come back from combing through my firefox-2 installation and
>>> then
>>> using dpkg --purge to remove it.  I'm fairly sure that I've deleted
>>> everything... though it still doesn't work after a re-re-re-re-install...
>>>
>>> Please, please help me!
>>>
>>> Chuck
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

vikaskumar2020
Hi,

For mozilla user xform is best way and i am working on xform on last 2
month and i hv create application on xform its really fast and good
view with very little to modify it. It makes really true MVC. ANd it
become programing only for server and handling large xml data on
server.

Vikas Kumar
INDIA
msn: [hidden email]
gmail:[hidden email]
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

RE: XForms support broke "overnight"...

Klotz, Leigh
In reply to this post by Philipp Wagner-4
I got Firefox 3.0.0.1 today as an update; I changed the install.rdf
forxforms_FIREFOX_3_0_RELEASE.xpi to say max was 3.0.0.1 and it at least
appears to work.  You might consider doing this for your hosted version.
Leigh.
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms
Reply | Threaded
Open this post in threaded view
|

Re: XForms support broke "overnight"...

Philipp Wagner-4
In reply to this post by Philipp Wagner-4
Hi,

Klotz, Leigh wrote:
> I got Firefox 3.0.0.1 today as an update; I changed the install.rdf
> forxforms_FIREFOX_3_0_RELEASE.xpi to say max was 3.0.0.1 and it at least
> appears to work.  You might consider doing this for your hosted version.

I just did and fixed that problem and another with the targetPlatform on
the nightly builds, too.
Anybody else can just download the XPI again and it should work with all
coming Firefox security updates now.

Philipp
_______________________________________________
dev-tech-xforms mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-xforms